[ 
https://issues.apache.org/jira/browse/KARAF-4845?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15713030#comment-15713030
 ] 

Lijun Liao commented on KARAF-4845:
-----------------------------------

Have tried the recent SNAPSHOT distribution 
(apache-karaf-4.1.0-20161201.164747-261.tar.gz) and karaf starts with JRE 9 
successfully. Thanks for the fix.

> Cannot start karaf with JRE 9
> -----------------------------
>
>                 Key: KARAF-4845
>                 URL: https://issues.apache.org/jira/browse/KARAF-4845
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-boot
>    Affects Versions: 4.1.0
>         Environment: Ubuntu
> JRE Early Access Releases 9 Build 146
>            Reporter: Lijun Liao
>            Assignee: Freeman Fang
>             Fix For: 4.1.0
>
>
> Starting karaf with JRE (NOT JDK) 9 fails with the following error message:
> {code}
> $ bin/karaf 
> Error occurred during initialization of VM
> java.lang.module.ResolutionException: Module jdk.xml.bind not found
>       at java.lang.module.Resolver.fail(java.base@9-ea/Resolver.java:790)
>       at 
> java.lang.module.Resolver.resolveRequires(java.base@9-ea/Resolver.java:94)
>       at 
> java.lang.module.Configuration.resolveRequiresAndUses(java.base@9-ea/Configuration.java:370)
>       at 
> java.lang.module.ModuleDescriptor$1.resolveRequiresAndUses(java.base@9-ea/ModuleDescriptor.java:1987)
>       at 
> jdk.internal.module.ModuleBootstrap.boot(java.base@9-ea/ModuleBootstrap.java:260)
>       at java.lang.System.initPhase2(java.base@9-ea/System.java:1927)
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to